define([
    'bitbucket/internal/model/project'
], function(
    Project
    ) {
    'use strict';

    module('model-project');


    var testProject = new Project({
        name: 'HelloWorld',
        id: 123
    });

    var secondProject = new Project({
        name: 'SecondProject',
        id: 123
    });

    var thirdProject = new Project({
        name: 'Third!',
        id: 987
    });


    test('Project equality', function () {

        ok(testProject.isEqual(secondProject), 'Projects with different properties match when they have the same ID');
        ok(!testProject.isEqual(thirdProject), 'Projects with different properties and different ID do NOT match');

    });

});
